OpenVDB 13.0.0

Loading...
Searching...
No Matches
Exceptions.h File Reference

OpenVDB AX Exceptions. More...

`#include <openvdb/version.h>`
`#include <openvdb/Exceptions.h>`
`#include <sstream>`
`#include <string>`

Go to the source code of this file.

## Classes
class | CLIError
class | AXTokenError
class | AXSyntaxError
class | AXCodeGenError
class | AXCompilerError
class | AXExecutionError

## Namespaces
namespace | openvdb
namespace | openvdb::v13_0

## Macros
#define | OPENVDB_AX_EXCEPTION(_classname)

## Detailed Description

OpenVDB AX Exceptions.

Authors
  Nick Avramoussis, Richard Jones

## Macro Definition Documentation

## ◆ OPENVDB_AX_EXCEPTION

#define OPENVDB_AX_EXCEPTION | ( |  | _classname | ) |

Value:
class _classname: public Exception \
{ \
public: \
_classname() noexcept: Exception( #_classname ) {} \
explicit _classname(const std::string& msg) noexcept: Exception( #_classname , &msg) {} \
}